package com.engine.kq.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface KQReportDetailService {

	/**
	 * 获取考勤报表明细Tabs
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getTabs(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表应出勤
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getWorkDayInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表签到明细
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getSignInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表迟到数据
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getBeLateInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表早退数据
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getLeaveEearlyInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表旷工数据
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getAbsenteeismInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表漏签数据
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getForgotCheckInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表请假明细
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getLeaveInfo(Map<String, Object> params, User user);

	/**
	 * 获取考勤报表一天明细
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getDailyDetialInfo(Map<String, Object> params, User user);

}
